# Uses of Class
org.eclipse.swt.custom.StyleRange

Packages that use StyleRange
Package
Description
org.eclipse.help.ui.internal
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.texteditor.stickyscroll

## Uses of StyleRange in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal that return StyleRange
Modifier and Type
Method
Description
`StyleRange[]`
StyledLineWrapper.`getStyles()`
Returns the array of styles.

## Uses of StyleRange in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return StyleRange
Modifier and Type
Method
Description
`StyleRange`
TextPresentation.`getDefaultStyleRange()`
Returns this presentation's default style range.
`StyleRange`
TextPresentation.`getFirstStyleRange()`
Returns the style range with the smallest offset ignoring the default style range or null if the presentation is empty.
`StyleRange`
TextPresentation.`getLastStyleRange()`
Returns the style range with the highest offset ignoring the default style range.
`protected StyleRange`
TextViewer.`modelStyleRange2WidgetStyleRange(StyleRange range)`
Translates a style range given relative to the viewer's document into style ranges relative to the viewer's widget or `null`.
Methods in org.eclipse.jface.text that return types with arguments of type StyleRange
Modifier and Type
Method
Description
`Iterator<StyleRange>`
TextPresentation.`getAllStyleRangeIterator()`
Returns an iterator which enumerates all style ranges of this presentation except the default style range.
`Iterator<StyleRange>`
TextPresentation.`getNonDefaultStyleRangeIterator()`
Returns an iterator which enumerates all style ranged which define a style different from the presentation's default style range.
Methods in org.eclipse.jface.text with parameters of type StyleRange
Modifier and Type
Method
Description
`void`
TextPresentation.`addStyleRange(StyleRange range)`
Add the given range to the presentation.
`void`
TextPresentation.`mergeStyleRange(StyleRange range)`
Merges the given range into this presentation.
`void`
TextPresentation.`mergeStyleRanges(StyleRange[] ranges)`
Merges the given ranges into this presentation.
`protected StyleRange`
TextViewer.`modelStyleRange2WidgetStyleRange(StyleRange range)`
Translates a style range given relative to the viewer's document into style ranges relative to the viewer's widget or `null`.
`void`
TextPresentation.`replaceStyleRange(StyleRange range)`
Replaces the given range in this presentation.
`void`
TextPresentation.`replaceStyleRanges(StyleRange[] ranges)`
Replaces the given ranges in this presentation.
`void`
TextPresentation.`setDefaultStyleRange(StyleRange range)`
Set the default style range of this presentation.

## Uses of StyleRange in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type StyleRange
Modifier and Type
Method
Description
`void`
AnnotationPainter.BoxStrategy.`applyTextStyle(StyleRange styleRange, Color annotationColor)`
`void`
AnnotationPainter.HighlightingStrategy.`applyTextStyle(StyleRange styleRange, Color annotationColor)`
`void`
AnnotationPainter.ITextStyleStrategy.`applyTextStyle(StyleRange styleRange, Color annotationColor)`
Applies a text style on the given `StyleRange`.
`void`
AnnotationPainter.UnderlineStrategy.`applyTextStyle(StyleRange styleRange, Color annotationColor)`

## Uses of StyleRange in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return StyleRange
Modifier and Type
Method
Description
`StyleRange[]`
StyledString.`getStyleRanges()`
Returns an array of `StyleRange` resulting from applying all associated stylers for this string builder.
`StyleRange[]`
ViewerCell.`getStyleRanges()`
Returns the style ranges to be applied on the text label or `null` if no style ranges have been set.
`StyleRange[]`
ViewerRow.`getStyleRanges(int columnIndex)`
Returns the style ranges to be applied on the text label at the column index or `null` if no style ranges have been set.
`protected StyleRange`
StyledCellLabelProvider.`prepareStyleRange(StyleRange styleRange, boolean applyColors)`
Prepares the given style range before it is applied to the label.
Methods in org.eclipse.jface.viewers with parameters of type StyleRange
Modifier and Type
Method
Description
`protected StyleRange`
StyledCellLabelProvider.`prepareStyleRange(StyleRange styleRange, boolean applyColors)`
Prepares the given style range before it is applied to the label.
`void`
ViewerCell.`setStyleRanges(StyleRange[] styleRanges)`
Set the style ranges to be applied on the text label Note: Requires `StyledCellLabelProvider` with owner draw enabled.
`void`
ViewerRow.`setStyleRanges(int columnIndex, StyleRange[] styleRanges)`
Set the style ranges to be applied on the text label at the column index Note: Requires `StyledCellLabelProvider` with owner draw enabled.

## Uses of StyleRange in org.eclipse.swt.custom

Fields in org.eclipse.swt.custom declared as StyleRange
Modifier and Type
Field
Description
`StyleRange`
Bullet.`style`
The bullet style.
`StyleRange`
PaintObjectEvent.`style`
the StyleRange
`StyleRange[]`
LineStyleEvent.`styles`
line styles (output) Note: Because a StyleRange includes the start and length, the same instance cannot occur multiple times in the array of styles.
Methods in org.eclipse.swt.custom that return StyleRange
Modifier and Type
Method
Description
`StyleRange`
StyledText.`getStyleRangeAtOffset(int offset)`
Returns the style range at the given offset.
`StyleRange[]`
StyledText.`getStyleRanges()`
Returns the styles.
`StyleRange[]`
StyledText.`getStyleRanges(boolean includeRanges)`
Returns the styles.
`StyleRange[]`
StyledText.`getStyleRanges(int start, int length)`
Returns the styles for the given text range.
`StyleRange[]`
StyledText.`getStyleRanges(int start, int length, boolean includeRanges)`
Returns the styles for the given text range.
Methods in org.eclipse.swt.custom with parameters of type StyleRange
Modifier and Type
Method
Description
`void`
StyledText.`replaceStyleRanges(int start, int length, StyleRange[] ranges)`
Replaces the styles in the given range with new styles.
`void`
StyledText.`setStyleRange(StyleRange range)`
Adds the specified style.
`void`
StyledText.`setStyleRanges(int[] ranges, StyleRange[] styles)`
Sets styles to be used for rendering the widget content.
`void`
StyledText.`setStyleRanges(int start, int length, int[] ranges, StyleRange[] styles)`
Clears the styles in the range specified by `start` and `length` and adds the new styles.
`void`
StyledText.`setStyleRanges(StyleRange[] ranges)`
Sets styles to be used for rendering the widget content.
`boolean`
StyleRange.`similarTo(StyleRange style)`
Compares the specified object to this StyleRange and answer if the two are similar.
Constructors in org.eclipse.swt.custom with parameters of type StyleRange
Modifier
Constructor
Description
``
`Bullet(int type, StyleRange style)`
Create a new bullet the specified style and type.
``
`Bullet(StyleRange style)`
Create a new bullet with the specified style, and type `ST.BULLET_DOT`.

## Uses of StyleRange in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return StyleRange
Modifier and Type
Method
Description
`StyleRange[]`
IConsoleDocumentPartitioner.`getStyleRanges(int offset, int length)`
Returns style ranges for the specified region of this partitioner's document to use when rendering, or `null` if none.

## Uses of StyleRange in org.eclipse.ui.texteditor.stickyscroll

Methods in org.eclipse.ui.texteditor.stickyscroll that return StyleRange
Modifier and Type
Method
Description
`StyleRange[]`
IStickyLine.`getStyleRanges()`
Returns the style ranges of the sticky line.
`StyleRange[]`
StickyLine.`getStyleRanges()`